> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# private/get_user_locks

> Retrieves information about any account locks or restrictions currently active on the authenticated account. Account locks may be applied for security reasons, compliance requirements, or administrative purposes.

The response includes details about the type of lock, reason, and duration (if applicable). Some locks may prevent trading, withdrawals, or other account operations.

**📖 Related Support Article:** [Emergency locking an account](https://support.deribit.com/hc/en-us/articles/25944602715805-Emergency-locking-an-account)

[Try in API console](https://test.deribit.com/api_console?method=%2Fprivate%2Fget_user_locks)





## OpenAPI

````yaml /api-reference/coinbase-deribit-app-api/adv-starbase-openapi.json get /private/get_user_locks
openapi: 3.1.0
info:
  description: Coinbase Retail Advanced Trade API for derivatives trading.
  title: Coinbase Retail Advanced Trade (Deribit) API
  version: 2.1.1
servers:
  - url: https://drb.coinbase.com/api/v2
security: []
tags:
  - description: Can only be used over websockets.
    name: WebSocket Only
  - description: Public methods can be used without authentication.
    name: Public
  - description: >-
      <p>Private methods require authentication. All requests must include a
      valid OAuth2 token.</p>

      <p>A token can be requested using the <a
      href="#public-auth">/public/auth</a> method.</p>

      <p>When using the websockets protocol, the token must be included as a
      parameter <code>access_token</code> in the message. When using REST (HTTP
      GET), the token may also be passed in the <code>Authorization</code>
      header.</p>
    name: Private
  - name: Authentication
  - name: Session Management
  - description: >-
      Subscription works as [notifications](#notifications), so users will
      automatically (after subscribing) receive messages from the server.
      Overview for each channel response format is described in
      [subscriptions](#subscriptions) section.
    name: Subscription Management
  - name: Account Management
  - name: Trading
  - name: Market Data
  - name: Wallet
paths:
  /private/get_user_locks:
    get:
      tags:
        - Account Management
        - Private
      description: >+
        Retrieves information about any account locks or restrictions currently
        active on the authenticated account. Account locks may be applied for
        security reasons, compliance requirements, or administrative purposes.


        The response includes details about the type of lock, reason, and
        duration (if applicable). Some locks may prevent trading, withdrawals,
        or other account operations.


        **📖 Related Support Article:** [Emergency locking an
        account](https://support.deribit.com/hc/en-us/articles/25944602715805-Emergency-locking-an-account)


        [Try in API
        console](https://test.deribit.com/api_console?method=%2Fprivate%2Fget_user_locks)

      parameters: []
      requestBody:
        description: JSON-RPC request body
        content:
          application/json:
            examples:
              request:
                description: JSON-RPC Request Example
                value:
                  id: 74
                  jsonrpc: '2.0'
                  method: private/get_user_locks
                  params: {}
      responses:
        '200':
          $ref: '#/components/responses/PrivateGetUserLocksResponse'
      security:
        - ApiKey:
            - view
        - OAuth2:
            - wallet:user:read
components:
  responses:
    PrivateGetUserLocksResponse:
      description: Success response
      content:
        application/json:
          examples:
            response:
              description: Response example
              value:
                id: 74
                result:
                  - currency: BTC
                    locked: true
                    message: locked in one currency
                  - currency: ETH
                    locked: false
                  - currency: USDC
                    locked: false
                  - currency: SOL
                    locked: false
          schema:
            $ref: '#/components/schemas/PrivateGetUserLocksResponse'
  schemas:
    PrivateGetUserLocksResponse:
      type: object
      properties:
        id:
          description: The id that was sent in the request
          type: integer
        jsonrpc:
          description: The JSON-RPC version (2.0)
          type: string
          enum:
            - '2.0'
        result:
          type: array
          items:
            properties:
              currency:
                $ref: '#/components/schemas/currency'
              enabled:
                description: Value is set to 'true' when user account is locked in currency
                type: boolean
              message:
                description: Optional information for user why his account is locked
                type: string
            required:
              - currency
              - enabled
            type: object
      required:
        - result
        - jsonrpc
    currency:
      description: Currency, i.e `"BTC"`, `"ETH"`, `"USDC"`
      type: string
      enum:
        - BTC
        - ETH
        - USDC
        - USDT
        - EURR
  securitySchemes:
    ApiKey:
      description: >-
        Call `public/auth` with `grant_type: coinbase_cdp` and a CDP JWT. Send
        the returned `access_token` as `Authorization: Bearer`.
      scheme: bearer
      type: http
    OAuth2:
      description: >-
        Call `public/auth` with `grant_type: coinbase_oauth2` and an OAuth
        access token. Send the returned `access_token` as `Authorization:
        Bearer`.
      flows:
        authorizationCode:
          authorizationUrl: https://login.coinbase.com/oauth2/auth
          scopes:
            wallet:accounts:read: View your accounts.
            wallet:accounts:update: Authorize `wallet:accounts:update` operations.
            wallet:buys:create: Place, edit, and cancel orders.
            wallet:payment-methods:read: View your payment methods.
            wallet:trades:create: Convert cryptocurrencies.
            wallet:trades:read: View your cryptocurrency conversions.
            wallet:transactions:read: View your transactions.
            wallet:transactions:transfer: Transfer funds between accounts.
            wallet:user:read: View your account information.
            wallet:user:update: Update your account information.
          tokenUrl: https://login.coinbase.com/oauth2/token
      type: oauth2

````